import { csv } from 'd3'; // {tsv, json}
export const loadAndProcessData = () =>{
	const row = (d) => {
    d.exprs = +d.exprs;
    return d;
  };
  
  return Promise.all([    
    //// average exprs value for each location ////
    // BRCA Control
    //csv('https://gist.githubusercontent.com/minwoopak/d8f2d35ac9184b5a79e7425e4e8a3bbc/raw/BRCA_ctrl_location_to_value_avg_exprs.csv')
    
    // BRCA Tumor
    //csv('https://gist.githubusercontent.com/minwoopak/ead6f74b0177132c6962d00fbe6932e5/raw/BRCA_tumor_location_to_value_avg_exprs.csv')
    
    // OV Control
    //csv('https://gist.githubusercontent.com/minwoopak/3313525ae991b40ea05127e9840d7473/raw/OV_ctrl_location_to_value_avg_exprs.csv')
    
    // OV Tumor
    csv('https://gist.githubusercontent.com/minwoopak/9d6e9dadf3c2f15c8919bc947ed34be8/raw/OV_tumor_location_to_value_avg_exprs.csv')
    
  ]).then(([locationData]) => {
    // KEEP THE ORDER CONSISTENT WITH CELLCOLORAREA COMPONENTS DEFINITIONS!
    const locationList = [
      'Extracellular space',
      'Plasma membrane',
      'Cytosol',
      'Cytoskeleton',
      'Endoplasmic Reticulum',
      'Nucleus',
      'Ribosome',
      'Mitochondrion',
      'Endosome',
      'Lysosome',
      'Peroxisome',
      'Golgi apparatus',
      'Centrosome'
    ];
    
    locationData.forEach(d => {
      d.net_DEG = d.exprs;
      d.id = Math.random();
    });
        
    return locationData;
  })};
